<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="container-fluid">
        <div class="food-ordering">
            <!-- Phần Header -->
            <div class="header-section">
                <div class="row">
                    <nav class="navbar navbar-expand-md navbar-light" style="width: 100%;">
                        <div class="container" style="width: 80%;">
                            <a style="font-weight: 800;color: white;" class="navbar-brand" href="#">WHAT2EAT</a>
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarNav"
                                style="width: 40%;justify-content: center;">
                                <ul class="navbar-nav">
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Home</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">About</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Menu</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Blog</a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="color: white;" class="nav-link" href="#">Contact</a>
                                    </li>
                                </ul>
                            </div>
                            <div>
                                <ul class="navbar-nav" style="display: flex;flex-direction: row; width: 20%;">
                                    <li class="nav-item">
                                        <a class="nav-link" href="#"><img class="search" src="img/search.png" /></a>
                                    </li>
                                    <li class="nav-item">
                                        <a style="margin-left: 10px;" class="nav-link" href="#"><img id="img-cart"
                                                class="search" src="img/Cart.png" /></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                </div>
                <div class="row container-fluid">
                    <div class="col-sm-12 col-md-12 col-lg-6 col-xl-6 div-text">
                        <div class="hero-display">
                            <div class="display-with-text">
                                <h1 style="font-size: 60px;" class="header-h1">Authentic Home food in UK</h1>
                                <p class="header-p">What2Eat is a courier service in which authentic home cook food is
                                    delivered to a customer.</p>
                            </div>
                            <div class="div-search">
                                <input id="search-input" placeholder="Search food you love" />
                                <button id="search-btn" class="btn-warning">Search</button>
                            </div>
                        </div>
                    </div>
                    <div class=" col-sm-12 col-md-12 col-lg-6 col-xl-6 div-img">

                        <div class="position-relative">
                            <img class="img-content" src="img/cooking.man.header.png" />

                        </div>
                    </div>

                </div>
            </div>
            <!--  Phần Kitchen -->
            <div class="kitchen-section container-fluid jumbotron ">
                <div class="kitchen-card container-fluid ">
                    <div class="filter">
                        <h4>
                            Home kitchen
                        </h4>
                        <div class="row filter-buttons">
                            <div class="btn-group btn-group-toggle" data-toggle="buttons">
                                <label class="btn btn-outline-warning active">
                                    <input type="radio" name="options" id="option1" autocomplete="off" checked> All
                                </label>
                                <label class="btn btn-outline-warning">
                                    <input type="radio" name="options" id="option2" autocomplete="off"> Button
                                </label>
                                <label class="btn btn-outline-warning">
                                    <input type="radio" name="options" id="option3" autocomplete="off"> Free delivery
                                </label>
                                <label class="btn btn-outline-warning">
                                    <input type="radio" name="options" id="option4" autocomplete="off"> New
                                </label>
                                <label class="btn btn-outline-warning">
                                    <input type="radio" name="options" id="option5" autocomplete="off"> Coming
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="filters">
                        <button id="btn-filter" class="btn btn-outline-secondary" type="menu">Filters<span><img
                                    src="img/menu.png" alt="menu"></span></button>
                    </div>
                    <div class="card-home">
                        <div id="pizza-list" class="row">
                            <!-- Phần chọn loại đồ ăn ở đây -->
                        </div>
                        <div class="div-btn-kitchen">
                            <button id="btn-loadmore" class="btn btn-outline-warning ">
                                + Load more...
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Phần Blog -->
            <div class="blog-section container-fluid">
                <div class="blog-content container-fluid">
                    <h2 id="blog-header">Our Blog</h2>
                    <div class="row">
                        <div class="col-sm-12 col-md-5 col-lg-3 col-xl-3">
                            <div class="row">
                                <div>
                                    <img class="img-blog" id="img-blog-0" src="img/BlogL1.png" alt="blog">
                                </div>
                                <div class="content-blog container">
                                    <h6 id="blog-title-0">Most Satisfying Cake decorating Cake ideas </h6>
                                    <p id="blog-des-0">Quis hendrerit nibh mauris sed faucibus.
                                        Quis hendrerit nibh mauris sed faucibus.</p>
                                </div>
                            </div>
                            <div class="row">
                                <div>
                                    <img class="img-blog" id="img-blog-1" src="img/BlogL2.png" alt="blog">
                                </div>
                                <div class="content-blog container">
                                    <h6 id="blog-title-1">Most Satisfying Cake decorating Cake ideas </h6>
                                    <p id="blog-des-1">Quis hendrerit nibh mauris sed faucibus.
                                        Quis hendrerit nibh mauris sed faucibus.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-7 col-lg-6 col-xl-6">
                            <div class="row">
                                <div>
                                    <img class="img-blog" id="img-blog-2" src="img/BlogMain.png" alt="blog">
                                </div>
                                <div class="content-blog container">
                                    <h6 id="blog-title-2">Most Satisfying Cake decorating Cake ideas </h6>
                                    <p id="blog-des-2">Quis hendrerit nibh mauris sed faucibus.
                                        Quis hendrerit nibh mauris sed faucibus.</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-12 col-lg-3 col-xl-3 col-img-3">
                            <div class="col-img-r1">
                                <div class="row">
                                    <div>
                                        <img class="img-blog" id="img-blog-3" src="img/BlogR1.png" alt="blog">
                                    </div>
                                    <div class="content-blog container">
                                        <h6 id="blog-title-3">Most Satisfying Cake decorating Cake ideas </h6>
                                        <p id="blog-des-3">Quis hendrerit nibh mauris sed faucibus.
                                            Quis hendrerit nibh mauris sed faucibus.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-img-r2">
                                <div class="row">
                                    <div>
                                        <img class="img-blog" id="img-blog-4" src="img/BlogR2.png" alt="blog">
                                    </div>
                                    <div class="content-blog container">
                                        <h6 id="blog-title-4">Most Satisfying Cake decorating Cake ideas </h6>
                                        <p id="blog-des-4">Quis hendrerit nibh mauris sed faucibus.
                                            Quis hendrerit nibh mauris sed faucibus.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Phần Footer -->
            <footer class="footer">
                <div class="container-fluid">
                    <div class="footer-container">
                        <div class="footer__menu">
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3">
                                <div class="footer__menu--logo">WHAT2EAT</div>
                            </div>
                            <div class="col-sm-8 col-md-8 col-lg-8 col-xl-6">
                                <div class="footer__menu--nav">
                                    <ul class="list__menu--nav">
                                        <li class="menu__item">
                                            <a href="#">Home</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">About</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Menu</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Blog</a>
                                        </li>
                                        <li class="menu__item">
                                            <a href="#">Contact</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-sm-2 col-md-2 col-lg-2 col-xl-3 ">
                                <div class="footer__menu--social">
                                    <a href="https://www.instagram.com/">
                                        <img src="./img/instagram-icon.svg" alt="">
                                    </a>
                                    <a href="https://www.facebook.com/">
                                        <img src="./img/facebook-icon.svg" alt="">
                                    </a>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="footer__copyright">
                            <p>Copyright @2021 What2Eat</p>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://food-ordering-fvo9.onrender.com/api/";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading();
        $(document).on("click", ".add-cart-pizza", function () {
            // Thu thập dữ liệu ID của Order
            const vOrderObj = $(this).data("object");
            console.log(vOrderObj);
            var vKeylength = Object.keys(localStorage).length
            localStorage.setItem(`${vKeylength}`, JSON.stringify(vOrderObj));

            //
            $("#img-cart").prop("src", "img/Yellow-cart.png")
        })
        if ((Object.keys(localStorage)).length > 0) {
            $("#img-cart").prop("src", "img/Yellow-cart.png")
        }
        else {
            $("#img-cart").prop("src", "img/Cart.png")
        }
        $("#img-cart").on("click", function () {
            window.location.href = "cart.html"
        })
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý khi tải trang
    function onPageLoading() {
        // B1 Thu thập dữ liệu [Không có]
        // B2 Kiểm tra dữ liệu [Không có]
        // B3 Gọi Api xử lý
        // Hiển thị Pizza
        processApiToGetPizza();
        // Hiển thị Blog
        processApiToGetBlog();
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm gọi Api xử lý để lấy dữ liệu Pizza hiển thị lên site
    function processApiToGetPizza() {
        $.ajax({
            url: gBASE_URL + "foods",
            type: "GET",
            dataType: "json",
            success: function (response) {
                //B4 xử lý hiển thị
                displayPizzaToSite(response)
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        })
    }
    // Hàm  hiển thị Pizza lên site
    function displayPizzaToSite(paramResponseObject) {
        // Hiển thị ra site
        for (var bI = 0; bI < paramResponseObject.rows.length; bI++) {
            var JsonString = JSON.stringify(paramResponseObject.rows[bI])
            var vHtml = `
            <div class="col-sm-12 col-md-6 col-lg-3 col-xl-3 decorate ">
                                <div class="row">
                                    <img class="img-pizza" src=${paramResponseObject.rows[bI].imageUrl} alt="p1">
                                    <!-- <span class="sale">50%</span> -->
                                </div>
                                <div class="row">
                                    <div class="product-card-detail container">
                                        <div class="row pizza-name">
                                            <div class="col-sm-9 col-md-9 col-lg-9 col-xl-9">
                                                <p>${paramResponseObject.rows[bI].name}</p>
                                            </div>
                                            <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3">
                                                <p>$${paramResponseObject.rows[bI].price}</p>
                                            </div>
                                        </div>
                                        <div class="row pizza-des">
                                            <div class="rate-time">
                                                <div class="row rate">
                                                    <div class="img-rate">
                                                        <img src="img/rate.png" alt="star">
                                                    </div>
                                                    <div class="rate-point">
                                                        ${paramResponseObject.rows[bI].rating}
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <p id="time">${paramResponseObject.rows[bI].time}</p>
                                                </div>
                                            </div>
                                            <div class="add-cart">
                                                <button id="btn-add-cart-${paramResponseObject.rows[bI].id}" data-object='${JsonString}' class="btn btn-warning add-cart-pizza"><img src="img/Add-cart.png" alt="add"></button>
                                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
            `
            $("#pizza-list").append(vHtml)
        }
    }
    // Hàm gọi Api để lấy dữ liệu blog
    function processApiToGetBlog() {
        $.ajax({
            url: gBASE_URL + "blogs",
            type: "GET",
            dataType: "json",
            success: function (response) {
                //B4 xử lý hiển thị
                displayBlogToSite(response)
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }
        })
    };
    // Hàm hiển thị Blog ra site
    function displayBlogToSite(paramResponseObject) {
        for (var bI = 0; bI < paramResponseObject.length; bI++) {
            $(`#img-blog-${bI}`).empty()
            $(`#img-blog-${bI}`).prop("src", paramResponseObject[bI].imageUrl)
            $(`#blog-title-${bI}`).empty()
            $(`#blog-title-${bI}`).html(paramResponseObject[bI].title)
            $(`#blog-des-${bI}`).empty()
            $(`#blog-des-${bI}`).html(paramResponseObject[bI].description)
        }
    }
</script>

</html>